Update Channel
PUT/api/channels/:channel_id
Update a channel's details.
Sample API Call:
PUT /api/channels/123e4567-e89b-12d3-a456-426614174000
Content-Type: application/json
{
"name": "Customer Support Email",
"is_default": false,
"status": "available"
}
Sample Response:
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"tenant_id": "123e4567-e89b-12d3-a456-426614174001",
"name": "Customer Support Email",
"channel_type": "email",
"integration_id": "123e4567-e89b-12d3-a456-426614174002",
"send_from_email": "support@example.com",
"email_domain_id": "123e4567-e89b-12d3-a456-426614174003",
"status": "available",
"is_default": false,
"metadata": {},
"created_at": "2024-10-03T12:00:00Z",
"updated_at": "2024-10-03T15:45:00Z"
}
Request
Responses
- 200
- 404
- 422
Successful Response
Not found
Validation Error